    Delete the model expression for a data set.

delete_model(id=None)
id - int or str, optional

This removes the model expression, created by `set_model` , for a data set. It does not delete the components of the expression.

Remove the model expression for the default data set:

>>> delete_model()

Remove the model expression for the data set with the identifier called 'src':

>>> delete_model('src')

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set containing the source expression. If not given then the default identifier is used, as returned by

`get_default_id` .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023